Bug 865090 - Job details display shows date value for "CommittedTime" property instead of converting timestamp to a duration
Job details display shows date value for "CommittedTime" property instead of ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
2.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 15:39 EDT by Chad Roberts
Modified: 2016-05-26 16:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 16:17:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Roberts 2012-10-10 15:39:36 EDT
Description of problem:

Drilling into a job in cumin shows may properties and statistics for the job.  One of which is "CommittedTime", which I believe should be the duration that the job took to complete, but instead, in the cumin UI, that value is being reported as a date....
ie:  A job that took about 2 minutes to run is showing a CommittedTime of "31 Dec 1969 19:02"  (I believe that is the timezone adjusted value of the epoch + the 2 minutes that the job took).


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1.  Submit a job
2.  Find the submission and job in the UI and drill into the job
3.  Note that the CommittedTime value is displayed as a date, most likely fairly near the epoch.
  
Actual results:  CommittedTime is displayed as the timezone adjusted epoch date + job duration.


Expected results:  CommittedTime should show-up with a more reasonable value...seconds, which would match the unit reported by CumulativeSlotTime and RemoteUserCpu.


Additional info:
Comment 1 Anne-Louise Tangring 2016-05-26 16:17:08 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.